<?php
    
    function CariBobotKriteria($id_kriteria)
    {
        // INISIALISASI KONEKSI
        $db = new database();

        // BUKA KONEKSI DATABASE
        $mysqli = $db->buka_db();

        // AMBIL DATA DIVISI
        $sql    = "SELECT bobot FROM tbl_kriteria WHERE id_kriteria='$id_kriteria'";
        $result = $mysqli->query($sql);
        $total  = $result->num_rows;
        $data = "";

        if($total > 0){
            $row = $result->fetch_assoc();
            $data = $row['bobot'];
        }
        // TUTUP KONEKSI DATABASE
        $db->tutup_db($mysqli);

        return $data;
    }

    function HitungHasilKinerjaSetahun($hasil, $bobot)
    {
        // INISIALISASI KONEKSI
        $db = new database();
        $kinerja = "";

        // BUKA KONEKSI DATABASE
        $mysqli = $db->buka_db();

        // AMBIL DATA DIVISI
        $sql    = "SELECT kinerja, bbt_kinerja FROM tbl_kinerja ORDER BY bbt_kinerja DESC";
        $result = $mysqli->query($sql);
        $total  = $result->num_rows;
        $divisi = array();

        if($total > 0){
            while($row = $result->fetch_assoc())
            {
                if($hasil >= $row['bbt_kinerja'])
                {
                    $kinerja = ($bobot == true ? $row['bbt_kinerja'] : $row['kinerja']);
                    break;
                }
            }
        }
        // TUTUP KONEKSI DATABASE
        $db->tutup_db($mysqli);

        return $kinerja;
    }

    function HitungMasaKerja($total_masa_kerja, $bobot)
    {
        // INISIALISASI KONEKSI
        $db = new database();
        $masa_kerja = "";

        // BUKA KONEKSI DATABASE
        $mysqli = $db->buka_db();

        // AMBIL DATA DIVISI
        $sql    = "SELECT * FROM tbl_masa_kerja ORDER BY bbt_masa_kerja DESC";
        $result = $mysqli->query($sql);
        $total  = $result->num_rows;
        $divisi = array();

        if($total > 0){
            while($row = $result->fetch_assoc())
            {
                if(HitungOperator($total_masa_kerja, $row['operator'], $row['nilai_operator']))
                {
                    $masa_kerja = ($bobot == true ? $row['bbt_masa_kerja'] : $row['masa_kerja']);
                    break;
                }
            }
        }
        // TUTUP KONEKSI DATABASE
        $db->tutup_db($mysqli);

        return $masa_kerja;
    }

    function HitungOperator($nilai_asli, $operator, $nilai_operator)
    {
        $hasil = false;
        switch ($operator) {
            case '>':
                $hasil = ($nilai_asli > $nilai_operator);
                break;
                
            case '>=':
                $hasil = ($nilai_asli >= $nilai_operator);
                break;
                
            case '<':
                $hasil = ($nilai_asli < $nilai_operator);
                break;

            case '<=':
                $hasil = ($nilai_asli <= $nilai_operator);
                break;

            case '==':
                $hasil = ($nilai_asli == $nilai_operator);
                break;

            case '!=':
                $hasil = ($nilai_asli != $nilai_operator);
                break;

            case '<>':
                $hasil = ($nilai_asli <> $nilai_operator);
                break;
        }

        return $hasil;
    }

    function HitungJumlahAbsensi($total_hadir, $tanggal_awal, $tanggal_akhir, $bobot)
    {
        $workdays           = Workdays($tanggal_awal, $tanggal_akhir);
        $jumlah_hari_kerja  = $workdays['hari'];
        $tidak_absen        = $jumlah_hari_kerja - $total_hadir;

        // INISIALISASI KONEKSI
        $db = new database();
        $absensi = "";

        // BUKA KONEKSI DATABASE
        $mysqli = $db->buka_db();

        // AMBIL DATA DIVISI
        $sql    = "SELECT * FROM tbl_absensi ORDER BY bbt_absensi ASC";
        $result = $mysqli->query($sql);
        $total  = $result->num_rows;
        $divisi = array();

        if($total > 0){
            while($row = $result->fetch_assoc())
            {
                if(HitungOperator($tidak_absen, $row['operator'], $row['nilai_operator']))
                {
                    $absensi = ($bobot == true ? $row['bbt_absensi'] : $row['absensi']);
                    break;
                }
            }
        }
        // TUTUP KONEKSI DATABASE
        $db->tutup_db($mysqli);

        return $absensi;
    }
    
    /* START - DATE FUNCTION */
    function dateSql($param)
    { 
        /* Convert to 2014-03-25 */
        $year = substr($param,6,4);
        $month = substr($param,3,2);
        $date = substr($param,0,2);

        return $year.'-'.$month.'-'.$date;
    }

    function dateSlash($param)
    { 
        /* Convert to 25/03/2014 */
        $date = substr($param,8,2);
        $month = substr($param,5,2);
        $year = substr($param,0,4);

        return $date.'/'.$month.'/'.$year;
    }

    function dateStrip($param)
    { 
        /* Convert to 25-03-2014 */
        $date = substr($param,8,2);
        $month = substr($param,5,2);
        $year = substr($param,0,4);

        return $date.'-'.$month.'-'.$year;
    }


    function stringMonthInd($param)
    { 
        /* example : 09 Mar 2014*/
        $date = substr($param,8,2);
        $month = getMonthIndonesia(substr($param,5,2));
        $year = substr($param,0,4);

        return $date.' '.$month.' '.$year;
    }


    function stringDayMonthInd($param)
    { 
        /* example : Senin, 09 Maret 2014*/
        $param = substr($param,0,10);
        //$hari = getDayIndonesia($param);
        $tgl = substr($param,8,2);
        $bln = getMonthIndonesia(substr($param,5,2));
        $thn = substr($param,0,4);

        //return $hari.', '.$tgl.' '.$bln.' '.$thn;
        return $tgl.' '.$bln.' '.$thn;
    }

    function fullTimeDateIND($param) # Input DateTime
    { 
        /* example : 25 Jan 2015, 08:30:59 */
        $time = substr($param, -8, 8);

        $param = substr($param,0,10);
        $hari = getDayIndonesia($param);
        $tgl = substr($param,8,2);
        $bln = ucfirst(singkatan_bulan(substr($param,5,2)));
        $thn = substr($param,0,4);

        //return $hari.', '.$tgl.' '.$bln.' '.$thn.' '.$time;
        return $tgl.' '.$bln.' '.$thn.' '.$time;
    }

    function fullTimeDigit($param) # Input DateTime
    { 
        /* example : Sen 25/01/2015, 08:30:59 */
        $time = substr($param, -8, 8);

        $param = substr($param,0,10);
        $hari = getDayIndonesia($param);
        $tgl = substr($param,8,2);
        $bln = substr($param,5,2);
        $thn = substr($param,0,4);
        
        return $hari.', '.$tgl.'/'.$bln.'/'.$thn.' '.$time;
    }

    function getDayIndonesia($param)
    { 
        /* Senin sampai Minggu */
        $hari_array = array(
            "1" => "Senin",
            "2" => "Selasa",
            "3" => "Rabu",
            "4" => "Kamis",
            "5" => "Jumat",
            "6" => "Sabtu",
            "7" => "Minggu"
        );

        $tgl_array=explode('-', $param);
        $hari_n=date("N",mktime(0, 0, 0, $tgl_array[1], $tgl_array[2], $tgl_array[0]));
        return $hari_array[$hari_n];
    }

    function getDayDigitInd($param)
    { 
        /* Senin sampai Minggu */
        $hari_array = array(
            "1" => "Sen",
            "2" => "Sel",
            "3" => "Rab",
            "4" => "Kam",
            "5" => "Jum",
            "6" => "Sab",
            "7" => "Min"
        );

        $tgl_array=explode('-', $param);
        $hari_n=date("N",mktime(0, 0, 0, $tgl_array[1], $tgl_array[2], $tgl_array[0]));
        return $hari_array[$hari_n];
    }

    function getMonthIndonesia($param)
    { 
        /* Januari sampai Desember */
        switch ($param){
            case 1: 
                return "Januari";
            break;

            case 2:
                return "Febuari";
            break;

            case 3:
                return "Maret";
            break;

            case 4:
                return "April";
            break;

            case 5:
                return "Mei";
            break;

            case 6:
                return "Juni";
            break;

            case 7:
                return "Juli";
            break;

            case 8:
                return "Agustus";
            break;

            case 9:
                return "September";
            break;

            case 10:
                return "Oktober";
            break;

            case 11:
                return "November";
            break;

            case 12:
                return "Desember";
            break;
        }
    }

    function singkatan_bulan($param)
    { 
        /* Januari sampai Desember */
        switch ($param){
            case '01': 
                return "jan";
            break;

            case '02':
                return "feb";
            break;

            case '03':
                return "mar";
            break;

            case '04':
                return "apr";
            break;

            case '05':
                return "mei";
            break;

            case '06':
                return "jun";
            break;

            case '07':
                return "jul";
            break;

            case '08':
                return "agt";
            break;

            case '09':
                return "sep";
            break;

            case '10':
                return "okt";
            break;

            case '11':
                return "nov";
            break;

            case '12':
                return "des";
            break;
        }
    }

    function char_month($param)
    { 
        /* Januari sampai Desember */
        switch ($param){
            case 'jan': 
                return getMonthEnglish('1');
            break;

            case 'feb':
                return getMonthEnglish('2');
            break;

            case 'mar':
                return getMonthEnglish('3');
            break;

            case 'apr':
                return getMonthEnglish('4');
            break;

            case 'mei':
                return getMonthEnglish('5');
            break;

            case 'jun':
                return getMonthEnglish('6');
            break;

            case 'jul':
                return getMonthEnglish('7');
            break;

            case 'agt':
                return getMonthEnglish('8');
            break;

            case 'sep':
                return getMonthEnglish('9');
            break;

            case 'okt':
                return getMonthEnglish('10');
            break;

            case 'nov':
                return getMonthEnglish('11');
            break;

            case 'des':
                return getMonthEnglish('12');
            break;
        }
    }

    function bulan_angka($param)
    { 
        switch ($param){
            case 'jan': 
                return "01";
            break;

            case 'feb':
                return "02";
            break;

            case 'mar':
                return "03";
            break;

            case 'apr':
                return "04";
            break;

            case 'mei':
                return "05";
            break;

            case 'jun':
                return "06";
            break;

            case 'jul':
                return "07";
            break;

            case 'agt':
                return "08";
            break;

            case 'sep':
                return "09";
            break;

            case 'okt':
                return "10";
            break;

            case 'nov':
                return "11";
            break;

            case 'des':
                return "12";
            break;
        }
    }

    function angka_romawi($n){
        $hasil = "";
        $iromawi = array(
                    "",
                    "I",
                    "II",
                    "III",
                    "IV",
                    "V",
                    "VI",
                    "VII",
                    "VIII",
                    "IX",
                    "X",
                    20=>"XX",
                    30=>"XXX",
                    40=>"XL",
                    50=>"L",
                    60=>"LX",
                    70=>"LXX",
                    80=>"LXXX",
                    90=>"XC",
                    100=>"C",
                    200=>"CC",
                    300=>"CCC",
                    400=>"CD",
                    500=>"D",
                    600=>"DC",
                    700=>"DCC",
                    800=>"DCCC",
                    900=>"CM",
                    1000=>"M",
                    2000=>"MM",
                    3000=>"MMM"
                    );

        if(array_key_exists($n,$iromawi)){
            $hasil = $iromawi[$n];
        } elseif($n >= 11 && $n <= 99) {
            $i = $n % 10;
            $hasil = $iromawi[$n-$i] . Romawi($n % 10);
        } elseif($n >= 101 && $n <= 999) {
            $i = $n % 100;
            $hasil = $iromawi[$n-$i] . Romawi($n % 100);
        } else {
            $i = $n % 1000;
            $hasil = $iromawi[$n-$i] . Romawi($n % 1000);
        }
        return $hasil;
    }
    /* END - DATE FUNCTION */

    function Paging($input)
    {
        $sLimit = "";
        if ( isset( $input['iDisplayStart'] ) && $input['iDisplayLength'] != '-1' ) {
            $sLimit = " LIMIT ".intval( $input['iDisplayStart'] ).", ".intval( $input['iDisplayLength'] );
        }
       
        return $sLimit;
    }
                   
    function Ordering( $input, $aColumns )
    {
        $aOrderingRules = array();
        if ( isset( $input['iSortCol_0'] ) ) {
            $iSortingCols = intval( $input['iSortingCols'] );
            //print_r($aColumns);
            for ( $i=0 ; $i<$iSortingCols ; $i++ ) {
                if ( $input[ 'bSortable_'.intval($input['iSortCol_'.$i]) ] == 'true' ) {
                    $aOrderingRules[] =
                    $aColumns[ intval( $input['iSortCol_'.$i] ) ]." "
                    .($input['sSortDir_'.$i]==='asc' ? 'asc' : 'desc');
                }
            }
        }

        if (!empty($aOrderingRules)) {
            $sOrder = " ORDER BY ".implode(", ", $aOrderingRules);
        } else {
            $sOrder = "";
        }

        return $sOrder;
    }

    function Workdays($tanggal_awal, $tanggal_akhir)
    { 
        $libur = array(); // Ambil dari db.

        if(substr($tanggal_akhir, 0, 10) == '0000-00-00'){
            $tanggal_akhir = $tanggal_awal;
        }

        $date1 = date_create($tanggal_awal);
        $date2 = date_create($tanggal_akhir);

        $diff = date_diff($date1, $date2);

        $selisih1 = $diff->format("%a")+1;
        $selisih2 = $diff->format("%H hours %I minutes %S second");

        $jam    = $diff->format("%H");
        $menit  = $diff->format("%I");
        $detik  = $diff->format("%S");

        $tanggal_temp = substr($tanggal_awal, 0,10);
        $hari_libur = 0;
        for ($i=1; $i <= $selisih1; $i++) { 

            $get_hari = date('D', strtotime($tanggal_temp));
            
            if($get_hari == 'Sat' || $get_hari == 'Sun'){
                $hari_libur++;
                
            } else {
                
            }

            foreach($libur as $b){

                if($b['tanggal_awal'] == $b['tanggal_akhir']){ # Jika tanggal awal sama dengan tanggal akhir
                    $get_hari_libur = date('l', strtotime($b['tanggal_awal']));

                    if($tanggal_temp == $b['tanggal_awal']){ # Hari Libur Nasional
                        if($get_hari_libur == 'Saturday' || $get_hari_libur == 'Sunday'){
                            
                        } else {
                            $hari_libur++;
                        }
                    }
                } else { # Jika beda tanggal
                    
                    $awal = date_create($b['tanggal_awal']);
                    $akhir = date_create($b['tanggal_akhir']);

                    $beda = date_diff($awal, $akhir);

                    $selisih_db = $beda->format("%a")+1;
                    $tanggal_temp_db = substr($b['tanggal_awal'], 0,10);

                    for ($j=1; $j <= $selisih_db; $j++) { 
                        $get_hari = date('D', strtotime($tanggal_temp_db));
            
                        if($get_hari == 'Sat' || $get_hari == 'Sun'){
                            $hari_libur++;
                        }

                        $tanggal_temp_db = date('Y-m-d', strtotime('+1 days', strtotime($tanggal_temp_db)));
                    }
                }
            }

            $tanggal_temp = date('Y-m-d', strtotime('+1 days', strtotime($tanggal_temp))); 

        }

        $total_hari = $selisih1 - $hari_libur;

        return array(
            "hari"          => $total_hari,
            "hari_detail"   => $total_hari .' days '. $selisih2,
            "selisih"       => $selisih1,
            "jam"           => $jam,
            "menit"         => $menit,
            "detik"         => $detik
        );
    }
?>