<div class="box" id="about">
    <div class="box-title">
        <h4>Hasil Pengolahan Data <i class="fa fa-files-o pull-right"></i></h4>
    </div>
    <div class="box-content">
    	<div class="table-responsive">
            <div class="row">
                <div class="col-md-6">
                    <form id="form_utama" class="form-horizontal">
                        <div class="form-group">
                            <label class="col-md-3">Tanggal Awal</label>
                            <div class="col-md-4">
                                <input type="text" name="tanggal_awal" onkeydown="event.preventDefault()"  class="form-control tanggal" data-date-format="dd/mm/yyyy" autocomplete="off" placeholder="Masukkan tanggal awal" value="<?php echo date('d/m/Y', strtotime('first day of january'));?>" maxlength="10">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3">Tanggal Akhir</label>
                            <div class="col-md-4">
                                <input type="text" name="tanggal_akhir" onkeydown="event.preventDefault()" class="form-control tanggal" data-date-format="dd/mm/yyyy" autocomplete="off" placeholder="Masukkan tanggal awal" value="<?php echo date('d/m/Y', strtotime('last day of december'));?>" maxlength="10">
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-offset-3 col-md-9">
                                <button class="btn btn-primary" type="button" title="Proses Data" onClick="proses()">
                                    <i class="fa fa-long-arrow-right"></i> Proses Data
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>

            <div id="tampil_data"></div>

        </div>
    </div>
</div>
<style type="text/css">
    #tampil_data{
        min-height: 280px;
    }
    .img-loading{
        background: url("<?php echo BASE_URL;?>assets/img/pie-chart-loading.gif") no-repeat center;
        margin:0px auto;
    }
</style>
<script>
    $(document).ready(function() {
        $('.tanggal').datepicker({
          autoclose: true
        });
    }); 

    function proses()
    {
        $.ajax({
            type: "POST",
            data: $('#form_utama').serialize(),
            url: "<?php echo BASE_URL;?>hasil_data.php",
            beforeSend: function(){
                $("#tampil_data").html("");
                $("#tampil_data").addClass("img-loading");
            },
            success: function(data){
                setTimeout(function(){
                    $("#tampil_data").html(data);
                    $("#tampil_data").removeClass("img-loading");
                }, 500);
            },
            error: function(e){
                console.log(e.responseText());
            }
        });
    }

    proses();
</script>