<?php
include 'config/config.php';
session_start();
//error_reporting(0);
extract($_REQUEST);

// CEK SUDAH LOGIN ATAU BELUM
if(!@$_SESSION['spk']){
	echo "<meta http-equiv='refresh' content='0; url=".BASE_URL."login.php'>";
	exit();
}

// AMBIL PARAMETER UNTUK ROUTING KE HALAMAN
$page = @$_GET['p'];


?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	
	<title>Sistem Pendukung Keputusan </title>

	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL;?>assets/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL;?>assets/css/font-awesome.min.css">
	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL;?>assets/css/styles.css">
	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL;?>assets/css/dataTables.bootstrap.css">
	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL;?>assets/css/sweetalert.css">
	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL;?>assets/css/bootstrap-datepicker.min.css">
	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL;?>assets/css/bootstrap-timepicker.min.css">
	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL;?>assets/css/select2.min.css">
	
	<script src="<?php echo BASE_URL;?>assets/js/jquery.min.js"></script>
</head>
<body>
	
	<?php include 'partials/header.php'; ?>

	<div class="container-fluid">
		<div class="row">
			<div class="col-sm-12">
			<?php
			switch ($page) {
				case 'beranda':
					include 'beranda.php';
					break;

				case 'ubah-password':
					include 'ubah_password.php';
					break;

				/* ----- PENGGUNA ----- */
				case 'pengguna':
					include 'pengguna.php';
					break;

				case 'tambah-pengguna':
					include 'pengguna_tambah.php';
					break;

				case 'ubah-pengguna':
					include 'pengguna_ubah.php';
					break;

				/* ----- DIVISI ----- */
				case 'divisi':
					include 'divisi.php';
					break;

				case 'tambah-divisi':
					include 'divisi_tambah.php';
					break;

				case 'ubah-divisi':
					include 'divisi_ubah.php';
					break;

				/* ----- KRITERIA ----- */
				case 'kriteria':
					include 'kriteria.php';
					break;

				case 'tambah-kriteria':
					include 'kriteria_tambah.php';
					break;

				case 'ubah-kriteria':
					include 'kriteria_ubah.php';
					break;

				/* ----- KARYAWAN ----- */
				case 'karyawan':
					include 'karyawan.php';
					break;

				case 'tambah-karyawan':
					include 'karyawan_tambah.php';
					break;

				case 'ubah-karyawan':
					include 'karyawan_ubah.php';
					break;

				/* ----- ABSENSI ----- */
				case 'absensi':
					include 'absensi.php';
					break;

				case 'tambah-absensi':
					include 'absensi_tambah.php';
					break;

				case 'ubah-absensi':
					include 'absensi_ubah.php';
					break;

				/* ----- KINERJA ----- */
				case 'kinerja':
					include 'kinerja.php';
					break;

				case 'tambah-kinerja':
					include 'kinerja_tambah.php';
					break;

				case 'ubah-kinerja':
					include 'kinerja_ubah.php';
					break;

				/* ----- MASA KERJA ----- */
				case 'masa-kerja':
					include 'masa_kerja.php';
					break;

				case 'tambah-masa-kerja':
					include 'masa_kerja_tambah.php';
					break;

				case 'ubah-masa-kerja':
					include 'masa_kerja_ubah.php';
					break;

				/* ----- PENDIDIKAN ----- */
				case 'pendidikan':
					include 'pendidikan.php';
					break;

				case 'tambah-pendidikan':
					include 'pendidikan_tambah.php';
					break;

				case 'ubah-pendidikan':
					include 'pendidikan_ubah.php';
					break;

				/* ----- KARYAWAN ABSENSI ----- */
				case 'karyawan-absensi':
					include 'karyawan_absensi.php';
					break;

				case 'tambah-karyawan-absensi':
					include 'karyawan_absensi_tambah.php';
					break;

				case 'ubah-karyawan-absensi':
					include 'karyawan_absensi_ubah.php';
					break;
				
				/* ----- KARYAWAN MASA KERJA ----- */
				case 'karyawan-maker':
					include 'karyawan_maker.php';
					break;

				case 'tambah-karyawan-maker':
					include 'karyawan_maker_tambah.php';
					break;

				case 'ubah-karyawan-maker':
					include 'karyawan_maker_ubah.php';
					break;

				/* ----- KUESIONER ----- */
				case 'kuesioner':
					include 'kuesioner.php';
					break;

				case 'tambah-kuesioner':
					include 'kuesioner_tambah.php';
					break;

				case 'ubah-kuesioner':
					include 'kuesioner_ubah.php';
					break;

				/* ----- KUESIONER KARYAWAN ----- */
				case 'kuesioner-karyawan':
					include 'kuesioner_karyawan.php';
					break;


				case 'hasil':
					include 'hasil.php';
					break;


				default:
					include 'beranda.php';
					break;
			}
			?>
			<p style="height:200px;"></p>
			</div>

			<input type="hidden" id="base_url" value="<?php echo BASE_URL;?>">
			
			<a href="javascript:;" id="go-top">
		        <i class="fa fa-long-arrow-up"></i> Kembali Ke Atas
		    </a>

		</div>
	</div>

	<?php include 'partials/footer.php';?>

	<script src="<?php echo BASE_URL;?>assets/js/bootstrap.min.js"></script>
	<script src="<?php echo BASE_URL;?>assets/js/jquery.dataTables.js"></script>
	<script src="<?php echo BASE_URL;?>assets/js/dataTables.bootstrap.js"></script>
	<script src="<?php echo BASE_URL;?>assets/js/sweetalert.js"></script>
	<script src="<?php echo BASE_URL;?>assets/js/bootstrap-datepicker.min.js"></script>	
	<script src="<?php echo BASE_URL;?>assets/js/bootstrap-timepicker.min.js"></script>	
	<script src="<?php echo BASE_URL;?>assets/js/select2.full.min.js"></script>		
	<script src="<?php echo BASE_URL;?>assets/js/scripts.js"></script>
</body>
</html>