<?php
include 'config/config.php';

// INISIALISASI KONEKSI
$db = new database();

// BUKA KONEKSI DATABASE
$mysqli = $db->buka_db();

// AMBIL DATA
$sql = "SELECT * FROM tbl_karyawan ORDER BY id_karyawan ASC";
$result = $mysqli->query($sql);
$total 	= $result->num_rows;
$data 	= array();

if($total > 0){
	while($row = $result->fetch_assoc()){
		$data[] = $row;
	}
}

// TUTUP KONEKSI DATABASE
$db->tutup_db($mysqli);

?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>Cetak Data Karyawan</title>
	<style type="text/css">
		body {
		  background: #FFFFFF;
		  font-size: 12pt;
		  margin:0 auto;
		    -webkit-print-color-adjust: exact !important;
		}
		table{
			width: 100%;
			border-collapse:collapse;
			font-size: 12pt;
		}
		table tr td{
			border-collapse:collapse;
			font-size: 12pt;
		}
		table thead th{
			background: lightgray;
		}
		@media print{
			body {
			  font-size: 6pt;
			  margin:0 auto;
			-webkit-print-color-adjust: exact !important;
			}
			table{
				width: 100%;
				border-collapse:collapse;
				font-size: 8pt;
			}
			table tr td{
				border-collapse:collapse;
				font-size: 8pt;
			}
			table thead th{
				background: lightgray;
			}
				
		}
	</style>
	<script type="text/javascript">
		window.print();
	</script>
</head>
<body>
	<page size="A4">
		<p><strong>DATA KARYAWAN</strong></p>
		<table border="1" style="width:100%;">
			<thead>
				<tr>
					<th>ID Karyawan</th>
					<th>ID Divisi</th>
					<th>Nama Karyawan</th>
					<th>J.Kel</th>
					<th>Tempat/Tanggal Lahir</th>
					<th>Agama</th>
					<th>Alamat</th>
					<th>No. Telp</th>
				</tr>
			</thead>
			<tbody>
				<?php
				if($data){
					foreach($data as $row)
					{
						echo '<tr>
								<td style="width:80px;">'.$row['id_karyawan'].'</td>
								<td style="width:80px;">'.$row['id_divisi'].'</td>
								<td style="width:200px;">'.$row['nm_karyawan'].'</td>
								<td style="width:40px;" align="center">'.$row['j_kel'].'</td>
								<td style="width:150px;">'.$row['tmpt_lahir'].', '.stringMonthInd($row['tgl_lahir']).'</td>
								<td style="width:80px;">'.$row['agama'].'</td>
								<td>'.$row['alamat'].'</td>
								<td style="width:70px;">'.$row['no_telp'].'</td>
							</tr>';
					}
				} else {
					echo '<tr><td colspan="3" align="center"><small>DATA TIDAK TERSEDIA</small></td></tr>';
				}
				?>
			</tbody>
		</table>
	</page>
</body>
</html>