<?php
include 'config/config.php';
session_start();
//error_reporting(0);
extract($_REQUEST);
 
// CEK SUDAH LOGIN ATAU BELUM
if(@$_SESSION['spk']){
    echo "<meta http-equiv='refresh' content='0; url=".BASE_URL."'>";
    exit();
}
 
// INISIALISASI KONEKSI
$db = new database();
 
// BUKA KONEKSI DATABASE
$mysqli = $db->buka_db();
 
$pesan = "";
$username = @$_POST['username'];
$password = @$_POST['password'];
 
if(@$_POST['login'])
{
    // CEK USERNAME DAN PASSWORD JIKA TOMBOL MASUK DIENTER
    if(empty(trim(@$_POST['username'])))
    {
        $pesan .= "Username wajib diisi!";
 
    } else if(empty(trim(@$_POST['password']))){
        $pesan .= "Password wajib diisi!";
 
    } else {
 
        // POST DATA
        $username = @$_POST['username'];
        $password = sha1(@$_POST['password']);
 
        // FILTER SQL INJECTION
        $username = stripslashes(strip_tags(htmlspecialchars($username, ENT_QUOTES)));
        $password = stripslashes(strip_tags(htmlspecialchars($password, ENT_QUOTES)));
 
        // AMBIL DATA DARI TABEL
        $sql = "SELECT 
                    t1.*, t2.nm_karyawan
                FROM 
                    tbl_pengguna as t1
                LEFT JOIN 
                    tbl_karyawan as t2 ON t1.id_karyawan=t2.id_karyawan
                WHERE 
                    t1.username='$username' AND t1.password='$password'
                ";
                     
        $result = $mysqli->query($sql);
        $total  = $result->num_rows;
 
        // KALAU DATANYA ADA DI TABEL PENGGUNA
        if($total > 0)
        {
            $data   = $result->fetch_assoc();
 
            $id_karyawan = $data['id_karyawan'];
 
            // AMBIL MASA KERJA KARYAWAN
            $sql2 = "SELECT 
                        t1.tgl_resign
                    FROM 
                        tbl_karyawan_maker as t1
                    WHERE 
                        t1.id_karyawan='$id_karyawan'
                    ";
                         
            $result2= $mysqli->query($sql2);
            $total2 = $result2->num_rows;
            $data1  = $result2->fetch_assoc();
 
            // KALAU TANGGAL RESIGNNYA KOSONG, BOLEH LOGIN
            if($data1['tgl_resign'] == '0000-00-00')
            {
                $_SESSION['spk'] = $data;
 
                echo "<meta http-equiv='refresh' content='0; url=".BASE_URL."login.php'>";
                exit();
 
            } elseif(strtotime($data1['tgl_resign']) > strtotime(date("Y-m-d"))) { // KALAU TANGGAL RESIGNNYA LEBIH DARI TANGGAL SEKARANG BOLEH LOGIN
                 
                $_SESSION['spk'] = $data;
 
                echo "<meta http-equiv='refresh' content='0; url=".BASE_URL."login.php'>";
                exit();
 
            } else { 
                $pesan .= "Login Di Blokir! Hubungi Personalia!";
            }
 
        } else {
            $pesan .= "Kombinasi Username dan Password Salah!";
        }
    }
}
 
// TUTUP KONEKSI DATABASE
$db->tutup_db($mysqli);
 
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
     
    <title>Login - Sistem Pendukung Keputusan Pemberian Bonus Tahunan Karyawan </title>
 
    <link rel="stylesheet" type="text/css" href="<?php echo BASE_URL;?>assets/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="<?php echo BASE_URL;?>assets/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="<?php echo BASE_URL;?>assets/css/styles.css">
     
    <script src="<?php echo BASE_URL;?>assets/js/jquery.min.js"></script>
</head>
<body class="login-page">
    <div id="particles-js"></div>
    <div class="container">
        <div class="row">
            <div class="col-md-12 col-sm-12">
                <div class="login-wrapper">
                    <div class="login-header">
                        <div class="login-header-img"><img src="<?php echo BASE_URL;?>assets/img/logo.png"></div>
                        <div class="login-header-desc">INDUSTRI MESIN DAN JASA MACHINNING<br>PT. KARYA PADUYASA TEGAL</div>
                    </div>
                    <div class="login-body">
                        <form method="post" action="?">
                            <div class="form-group signin">Please Sign In</div>
                            <div class="form-group"><?php echo ($pesan ? '<div class="alert alert-danger">'.$pesan.'</div>' : "");?></div>
                            <div class="form-group">
                                <input type="text" class="form-control input-lg" name="username" placeholder="Username" value="<?php echo $username;?>" autocomplete="off" autofocus>
                            </div>
                            <div class="form-group">
                                <input type="password" class="form-control input-lg" name="password" placeholder="Password" value="">
                            </div>
                            <div class="checkbox">
                                <label><input type="checkbox"> Remember me</label>
                              </div>
                            <div class="form-group">
                                <button class="btn btn-primary btn-lg" type="submit" name="login" value="login"><i class="fa fa-sign-in"></i> Login</button>
                                <button class="btn btn-warning btn-lg" type="reset"><i class="fa fa-power-off"></i> Reset</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script src="<?php echo BASE_URL;?>assets/js/bootstrap.min.js"></script>
    <script src="<?php echo BASE_URL;?>assets/js/particles.min.js"></script>
    <script src="<?php echo BASE_URL;?>assets/js/particlesRun.js"></script>
    <script src="<?php echo BASE_URL;?>assets/js/scripts.js"></script>
</body>
</html>