<div class="box" id="about">
    <div class="box-title">
        <h4>Data Kriteria Absensi <i class="fa fa-list pull-right"></i></h4>
    </div>
    <div class="box-content">
    	<div class="table-responsive">
    		<table class="table table-striped table-bordered table-hover" id="table-list">
    			<thead>
    				<tr>
    					<th>ID Absensi</th>
    					<th>Absensi</th>
    					<th>Bobot</th>
    					<th>Aksi</th>
    				</tr>
    			</thead>
    			<tbody></tbody>
    		</table>
    	</div>
    </div>
</div>

<script>
	$(document).ready(function(){
		var oTable = $("#table-list").DataTable({
			"bProcessing": true,
            "bServerSide": true,
			"sAjaxSource": "<?php echo BASE_URL;?>absensi_data.php",
            "sServerMethod": "POST",
            "bAutoWidth": false,
            "sPaginationType": "full_numbers",
            "bSort": true,
            "language": {
                "search": '<span>Pencarian:</span> _INPUT_',
                "lengthMenu": '<span>Show:</span> _MENU_',
                "paginate": { 'first': 'Pertama', 'last': 'Terakhir', 'next': '&rarr;', 'previous': '&larr;' }
            },
            "lengthMenu": [[25, 50, 100], [25, 50, 100]],
            "aaSorting": [[ 0, 'asc' ]],
            "aoColumnDefs": [
                {'bSortable': true, 'aTargets': [ 0 ], width:160},
                {'bSortable': true, 'aTargets': [ 2 ], width:160, "className": "text-left"},
                {'bSortable': false, 'aTargets': [ 3 ], width:150},
            ],
		});

		var tambah = '<a href="<?php echo BASE_URL;?>?p=tambah-absensi" class="btn btn-primary" title="Tambah"><i class="fa fa-plus"></i>&nbsp;&nbsp;Tambah</a>';
		var cetak = '<a href="<?php echo BASE_URL;?>absensi_cetak.php" target="_blank" class="btn btn-default" title="Cetak"><i class="fa fa-print"></i>&nbsp;&nbsp;Cetak</a>';
		
		$(".dataTables_length").html(tambah +'&nbsp;&nbsp;'+ cetak);

		$(document).on('click', '.btn-hapus', function () {
            var url = $(this).data('url');
            swal({
                title: "Apakah Anda yakin?",
                text: "Data yang dihapus tidak bisa dikembalikan lagi.",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "Hapus!",
                cancelButtonText: "Batal",
                closeOnConfirm: false,
                showLoaderOnConfirm: true
            },
            function(){
                $.ajax({
                    url: url,
                    dataType: 'json',
                    type: 'GET',
                })
                .done(function(response) {
                    swal("Terhapus!", "Data telah dihapus.", "success");
                    oTable.ajax.reload();
                })
                .fail(function() {
                    console.log("error");
                });
            });

        }); 

	    <?php if(@$_SESSION['judul_pesan']): ?>
	    
	    	swal("<?php echo $_SESSION['judul_pesan'];?>", "<?php echo $_SESSION['isi_pesan'];?>", "success");

	    <?php unset($_SESSION['judul_pesan']); unset($_SESSION['isi_pesan']); endif;?>

	});
</script>