<?php
include 'config/config.php';
 
// DARI POST
$tanggal_awal   = dateSql(@$_POST['tanggal_awal']);
$tanggal_akhir  = dateSql(@$_POST['tanggal_akhir']);
$tahun_akhir    = substr($tanggal_akhir, 0,4);
 
// INISIALISASI KONEKSI
$db = new database();
 
// BUKA KONEKSI DATABASE
$mysqli = $db->buka_db();
$sql = "SELECT  SQL_CALC_FOUND_ROWS 
          tbl_karyawan.id_karyawan, 
          tbl_karyawan.nm_karyawan, 
          tbl_karyawan.id_divisi, 
          tbl_karyawan.id_pendidikan, 
          tbl_divisi.nm_divisi, 
          tbl_divisi.bbt_divisi, 
          tbl_pendidikan.pendidikan, 
          tbl_pendidikan.bbt_pendidikan, 
          tbl_kuesioner_hasil.hasil, 
          tbl_karyawan_maker.tgl_masuk, 
          (
            CASE WHEN tbl_karyawan_maker.tgl_resign = '0000-00-00' THEN CURDATE() ELSE tbl_karyawan_maker.tgl_resign END
          ) as tgl_keluar, 
          (
            FLOOR(
              PERIOD_DIFF(
                DATE_FORMAT(
                  CASE WHEN tbl_karyawan_maker.tgl_resign = '0000-00-00' THEN CURDATE() ELSE tbl_karyawan_maker.tgl_resign END, 
                  '%Y%m'
                ), 
                DATE_FORMAT(
                  tbl_karyawan_maker.tgl_masuk, '%Y%m'
                )
              )/ 12
            )
          ) as total_masa_kerja,
           (
                SELECT 
                    COUNT(*) as total_hadir 
                FROM 
                    tbl_karyawan_absensi 
                WHERE 
                    (YEAR(tbl_karyawan_absensi.tgl_absen) BETWEEN  '$tanggal_awal' AND '$tanggal_akhir' ) AND (tbl_karyawan_absensi.id_karyawan=tbl_karyawan.id_karyawan)
            ) as total_hadir
        FROM 
            tbl_karyawan 
        INNER JOIN tbl_divisi ON tbl_karyawan.id_divisi = tbl_divisi.id_divisi 
        INNER JOIN tbl_pendidikan ON tbl_karyawan.id_pendidikan = tbl_pendidikan.id_pendidikan 
        INNER JOIN tbl_kuesioner_hasil ON tbl_karyawan.id_karyawan = tbl_kuesioner_hasil.id_karyawan 
        INNER JOIN tbl_karyawan_maker ON tbl_karyawan.id_karyawan = tbl_karyawan_maker.id_karyawan 
        WHERE 
            (YEAR(tbl_kuesioner_hasil.waktu) BETWEEN  '$tanggal_awal' AND '$tanggal_akhir' ) 
        GROUP BY  
            tbl_karyawan.id_karyawan";
 
$result = $mysqli->query($sql);
$total  = $result->num_rows;
$karyawan = array();
 
$total_c1 = 0;
$total_c2 = 0;
$total_c3 = 0;
$total_c4 = 0;
$total_c5 = 0;
 
$bobot_c1   = CariBobotKriteria("C1"); // 2
$bobot_c2   = CariBobotKriteria("C2"); // 3 
$bobot_c3   = CariBobotKriteria("C3"); // 2
$bobot_c4   = CariBobotKriteria("C4"); // 3 
$bobot_c5   = CariBobotKriteria("C5"); // 5
 
if($total > 0){
    while($row = $result->fetch_assoc())
    {
        $total_c1 = $total_c1 + $row['bbt_divisi'];
        $total_c2 = $total_c2 + HitungJumlahAbsensi($row['total_hadir'], $tanggal_awal, $tanggal_akhir, $bobot =true);
        $total_c3 = $total_c3 + HitungMasaKerja($row['total_masa_kerja'], $bobot =true);
        $total_c4 = $total_c4 + $row['bbt_pendidikan'];
        $total_c5 = $total_c5 + HitungHasilKinerjaSetahun($row['hasil'], $bobot =true);
 
        $hasil_c1 = ($bobot_c1 * $row['bbt_divisi']);
        $hasil_c2 = ($bobot_c2 * HitungJumlahAbsensi($row['total_hadir'], $tanggal_awal, $tanggal_akhir, $bobot =true));
        $hasil_c3 = ($bobot_c3 * HitungMasaKerja($row['total_masa_kerja'], $bobot =true));
        $hasil_c4 = ($bobot_c4 * $row['bbt_pendidikan']);
        $hasil_c5 = ($bobot_c5 * HitungHasilKinerjaSetahun($row['hasil'], $bobot =true));
 
        $nilai          = ($hasil_c1 + $hasil_c2 + $hasil_c3 + $hasil_c4 + $hasil_c5);
        $id_karyawan    = $row['id_karyawan'];
 
        // AMBIL DATA DARI TABEL
        $sql = "SELECT id_hasil FROM tbl_hasil WHERE tahun='$tahun_akhir' AND id_karyawan='$id_karyawan'";
                             
        $result2 = $mysqli->query($sql);
        $total  = $result2->num_rows;
 
        if($total > 0)
        {
            $row        = $result2->fetch_assoc();
            $id_hasil   = $row['id_hasil'];
 
            $sql = "UPDATE tbl_hasil SET nilai='$nilai' WHERE id_hasil='$id_hasil'";
            $result3 = $mysqli->query($sql);
 
        } else {
 
            $sql = "INSERT INTO tbl_hasil (id_hasil, id_karyawan, tahun, nilai) VALUES('', '$id_karyawan', '$tahun_akhir', '$nilai')";
            $result3 = $mysqli->query($sql);
        }
 
         
    }
}
 
// TUTUP KONEKSI DATABASE
$db->tutup_db($mysqli);
?>
<div class="pull-right">
    <a target="_blank" class="btn btn-info" title="Cetak" href="hasil_cetak.php?tanggal_awal=<?php echo $tanggal_awal;?>&tanggal_akhir=<?php echo $tanggal_akhir;?>">
        <i class="fa fa-print"></i>&nbsp;&nbsp;Cetak Hasil
    </a>
</div>
<h3>DATA KARYAWAN</h3>
<table class="table table-striped table-bordered table-hover" id="table-list" style="margin-top:-20px !important;width=:100%;">
    <thead>
        <tr>
            <th>ID</th>
            <th>Alternatif</th>
            <th>C1</th>
            <th>C2</th>
            <th>C3</th>
            <th>C4</th>
            <th>C5</th>
        </tr>
    </thead>
    <tbody></tbody>
</table>
 
<h3>RATING KECOCOKAN</h3>
<table class="table table-striped table-bordered table-hover" id="table-list2" style="margin-top:-20px !important;width=:100%;">
    <thead>
        <tr>
            <th>ID</th>
            <th>Alternatif</th>
            <th>C1</th>
            <th>C2</th>
            <th>C3</th>
            <th>C4</th>
            <th>C5</th>
        </tr>
    </thead>
    <tbody></tbody>    
    <tfoot>
        <tr>
            <th colspan="2">Jumlah</th>
            <th><?php echo $total_c1;?></th>
            <th><?php echo $total_c2;?></th>
            <th><?php echo $total_c3;?></th>
            <th><?php echo $total_c4;?></th>
            <th><?php echo $total_c5;?></th>
        </tr>
    </tfoot>
</table>
 
 
<h3>PERHITUNGAN NORMALISASI</h3>
<table class="table table-striped table-bordered table-hover" id="table-list3" style="margin-top:-20px !important;width=:100%;">
    <thead>
        <tr>
            <th>ID</th>
            <th>Alternatif</th>
            <th>C1</th>
            <th>C2</th>
            <th>C3</th>
            <th>C4</th>
            <th>C5</th>
        </tr>
    </thead>
    <tbody></tbody>
</table>
 
 
<div class="row">
    <div class="col-md-6">
        <h3>NILAI RANGKING</h3>
        <table class="table table-striped table-bordered table-hover" id="table-list4" style="margin-top:-20px !important;">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Alternatif </th>
                    <th>Divisi </th>
                    <th>Nilai</th>
                </tr>
            </thead>
            <tbody></tbody>
        </table>
    </div>
    <div class="col-md-6">
 
    </div>
</div>
 
<script>
    $(document).ready(function(){
        var oTable = $("#table-list").DataTable({
            "searching":false,
            "bProcessing": true,
            "bServerSide": true,
            "ajax": {
                "url": "<?php echo BASE_URL;?>hasil_data_tabel1.php",
                "type": "POST",
                "data": {
                       "tanggal_awal": "<?php echo $tanggal_awal?>",
                       "tanggal_akhir": "<?php echo $tanggal_akhir?>",
                    }
            },
            "sServerMethod": "POST",
            "bAutoWidth": false,
            "sPaginationType": "full_numbers",
            "bSort": true,
            "language": {
                "search": '<span>Pencarian:</span> _INPUT_',
                "lengthMenu": '<span>Show:</span> _MENU_',
                "paginate": { 'first': 'Pertama', 'last': 'Terakhir', 'next': '&rarr;', 'previous': '&larr;' }
            },
            "lengthMenu": [[25, 50, 100], [25, 50, 100]],
            "aaSorting": [[ 0, 'true' ]],
            "aoColumnDefs": [
                {'bSortable': false, 'aTargets': [ 0 ], width:100},
                {'bSortable': false, 'aTargets': [ 1 ]},
                {'bSortable': false, 'aTargets': [ 2 ], width:150},
                {'bSortable': false, 'aTargets': [ 3 ], width:150},
                {'bSortable': false, 'aTargets': [ 4 ], width:150},
                {'bSortable': false, 'aTargets': [ 5], width:150},
                {'bSortable': false, 'aTargets': [ 6], width:150},
            ],
        });
 
        $("#table-list_length").html("");
 
        var oTable2 = $("#table-list2").DataTable({
            "searching":false,
            "bProcessing": true,
            "bServerSide": true,
            "ajax": {
                "url": "<?php echo BASE_URL;?>hasil_data_tabel2.php",
                "type": "POST",
                "data": {
                       "tanggal_awal": "<?php echo $tanggal_awal?>",
                       "tanggal_akhir": "<?php echo $tanggal_akhir?>",
                    }
            },
            "sServerMethod": "POST",
            "bAutoWidth": false,
            "sPaginationType": "full_numbers",
            "bSort": true,
            "language": {
                "search": '<span>Pencarian:</span> _INPUT_',
                "lengthMenu": '<span>Show:</span> _MENU_',
                "paginate": { 'first': 'Pertama', 'last': 'Terakhir', 'next': '&rarr;', 'previous': '&larr;' }
            },
            "lengthMenu": [[25, 50, 100], [25, 50, 100]],
            "aaSorting": [[ 0, 'true' ]],
            "aoColumnDefs": [
                {'bSortable': false, 'aTargets': [ 0 ], width:100},
                {'bSortable': false, 'aTargets': [ 1 ]},
                {'bSortable': false, 'aTargets': [ 2 ], width:150},
                {'bSortable': false, 'aTargets': [ 3 ], width:150},
                {'bSortable': false, 'aTargets': [ 4 ], width:150},
                {'bSortable': false, 'aTargets': [ 5], width:150},
                {'bSortable': false, 'aTargets': [ 6], width:150},
            ],
        });
 
        $("#table-list2_length").html("");
 
        var oTable3 = $("#table-list3").DataTable({
            "searching":false,
            "bProcessing": true,
            "bServerSide": true,
            "ajax": {
                "url": "<?php echo BASE_URL;?>hasil_data_tabel3.php",
                "type": "POST",
                "data": {
                       "tanggal_awal": "<?php echo $tanggal_awal?>",
                       "tanggal_akhir": "<?php echo $tanggal_akhir?>",
                       "total_c1": "<?php echo $total_c1;?>",
                       "total_c2": "<?php echo $total_c2;?>",
                       "total_c3": "<?php echo $total_c3;?>",
                       "total_c4": "<?php echo $total_c4;?>",
                       "total_c5": "<?php echo $total_c5;?>",
                    }
            },
            "sServerMethod": "POST",
            "bAutoWidth": false,
            "sPaginationType": "full_numbers",
            "bSort": true,
            "language": {
                "search": '<span>Pencarian:</span> _INPUT_',
                "lengthMenu": '<span>Show:</span> _MENU_',
                "paginate": { 'first': 'Pertama', 'last': 'Terakhir', 'next': '&rarr;', 'previous': '&larr;' }
            },
            "lengthMenu": [[25, 50, 100], [25, 50, 100]],
            "aaSorting": [[ 0, 'true' ]],
            "aoColumnDefs": [
                {'bSortable': false, 'aTargets': [ 0 ], width:100},
                {'bSortable': false, 'aTargets': [ 1 ]},
                {'bSortable': false, 'aTargets': [ 2 ], width:150},
                {'bSortable': false, 'aTargets': [ 3 ], width:150},
                {'bSortable': false, 'aTargets': [ 4 ], width:150},
                {'bSortable': false, 'aTargets': [ 5], width:150},
                {'bSortable': false, 'aTargets': [ 6], width:150},
            ],
        });
 
        $("#table-list3_length").html("");
 
        var oTable4 = $("#table-list4").DataTable({
            "searching":false,
            "bProcessing": true,
            "bServerSide": true,
            "ajax": {
                "url": "<?php echo BASE_URL;?>hasil_data_tabel4.php",
                "type": "POST",
                "data": {
                       "tanggal_awal": "<?php echo $tanggal_awal?>",
                       "tanggal_akhir": "<?php echo $tanggal_akhir?>",
                       "total_c1": "<?php echo $total_c1;?>",
                       "total_c2": "<?php echo $total_c2;?>",
                       "total_c3": "<?php echo $total_c3;?>",
                       "total_c4": "<?php echo $total_c4;?>",
                       "total_c5": "<?php echo $total_c5;?>",
                    }
            },
            "sServerMethod": "POST",
            "bAutoWidth": false,
            "sPaginationType": "full_numbers",
            "bSort": true,
            "language": {
                "search": '<span>Pencarian:</span> _INPUT_',
                "lengthMenu": '<span>Show:</span> _MENU_',
                "paginate": { 'first': 'Pertama', 'last': 'Terakhir', 'next': '&rarr;', 'previous': '&larr;' }
            },
            "lengthMenu": [[25, 50, 100], [25, 50, 100]],
            "aaSorting": [[ 3, 'desc' ]],
            "aoColumnDefs": [
                 
                {'bSortable': false, 'aTargets': [ 0 ], width:100},
                {'bSortable': false, 'aTargets': [ 1 ]},
                {'bSortable': false, 'aTargets': [ 2 ], width:150},
                {'bSortable': false, 'aTargets': [ 3 ], width:150},
            ],
        });
 
        $("#table-list4_length").html("");
     
    });
</script>