<?php
 
include 'config/config.php';
 
function Filtering($aColumns, $iColumnCount, $input, $db)
{
    if ( isset($input['sSearch']) && $input['sSearch'] != "" ) {
        $aFilteringRules = array();
        for ( $i=0 ; $i<$iColumnCount ; $i++ ) {
            if ( isset($input['bSearchable_'.$i]) && $input['bSearchable_'.$i] == 'true' ) {
                $aFilteringRules[] = $aColumns[$i]." LIKE '%".$db->real_escape_string( $input['sSearch'] )."%'";
            }
        }
 
        if (!empty($aFilteringRules)) {
            $aFilteringRules = array('('.implode(" OR ", $aFilteringRules).')');
        }
    }
    
    // Individual column filtering
    for ( $i=0 ; $i<$iColumnCount ; $i++ ) {
        if ( isset($input['bSearchable_'.$i]) && $input['bSearchable_'.$i] == 'true' && $input['sSearch_'.$i] != '' ) {
            $aFilteringRules[] = $aColumns[$i]."  LIKE '%".$db->real_escape_string($input['sSearch_'.$i])."%'";
        }
    }
    
    if (!empty($aFilteringRules)) {
 
        $tanggal_awal   = @$_POST['tanggal_awal'];
        $tanggal_akhir  = @$_POST['tanggal_akhir'];
        $tahun_akhir    = substr($tanggal_akhir, 0, 4);
 
        $sWhere = " WHERE  tbl_hasil.tahun='$tahun_akhir'  ".implode(" AND ", $aFilteringRules);
        //$sWhere = "WHERE ".implode(" AND ", $aFilteringRules);
         
    } else {
 
        $tanggal_awal   = @$_POST['tanggal_awal'];
        $tanggal_akhir  = @$_POST['tanggal_akhir'];
        $tahun_akhir    = substr($tanggal_akhir, 0, 4);
 
        $sWhere = " WHERE tbl_hasil.tahun='$tahun_akhir' ";
        //$sWhere = "WHERE 1=1 ";
    }
    return $sWhere;
}
 
$tanggal_awal   = @$_POST['tanggal_awal'];
$tanggal_akhir  = @$_POST['tanggal_akhir'];
 
$total_c1  = @$_POST['total_c1'];
$total_c2  = @$_POST['total_c2'];
$total_c3  = @$_POST['total_c3'];
$total_c4  = @$_POST['total_c4'];
$total_c5  = @$_POST['total_c5'];
 
$bobot_c1   = CariBobotKriteria("C1");
$bobot_c2   = CariBobotKriteria("C2");
$bobot_c3   = CariBobotKriteria("C3");
$bobot_c4   = CariBobotKriteria("C4");
$bobot_c5   = CariBobotKriteria("C5");
 
$db = new database();
 
// BUKA KONEKSI DATABASE
$mysqli = $db->buka_db();
 
mb_internal_encoding('UTF-8');
error_reporting(0);
extract($_REQUEST);
 
$aColumns = array('tbl_hasil.id_karyawan', 'tbl_karyawan.nm_karyawan', 'tbl_divisi.nm_divisi', 'tbl_hasil.nilai'); //Kolom Pada Tabel
 
// Input method (use $_GET, $_POST or $_REQUEST)
$input =& $_POST;
 
$iColumnCount = count($aColumns);
 
$sLimit = Paging($input);
$sOrder = Ordering($input, $aColumns);
$sWhere = Filtering($aColumns, $iColumnCount, $input, $mysqli);
 
$aQueryColumns = array();
foreach ($aColumns as $col) {
        if ($col != ' ') {
                $aQueryColumns[] = $col;
        }
}
 
$sQuery = "SELECT 
              SQL_CALC_FOUND_ROWS tbl_hasil.*, tbl_karyawan.nm_karyawan, tbl_divisi.nm_divisi
          FROM 
            tbl_hasil 
            INNER JOIN tbl_karyawan ON tbl_karyawan.id_karyawan = tbl_hasil.id_karyawan
            INNER JOIN tbl_divisi ON tbl_divisi.id_divisi = tbl_karyawan.id_divisi
           
          ".$sWhere." GROUP BY tbl_hasil.id_hasil order by tbl_hasil.nilai desc ".$sLimit;
          //".$sWhere." GROUP BY tbl_hasil.id_hasil ".$sOrder.$sLimit;
 
$rResult = $mysqli->query( $sQuery ) or die($mysqli->error);
 
// Data set length after filtering
$sQuery = "SELECT FOUND_ROWS()";
$rResultFilterTotal = $mysqli->query($sQuery) or die($mysqli->error);
list($iFilteredTotal) = $rResultFilterTotal->fetch_row();
 
// Total data set length
$sQuery = "SELECT 
                COUNT(tbl_hasil.id_hasil) 
            FROM 
              tbl_hasil 
              INNER JOIN tbl_karyawan ON tbl_karyawan.id_karyawan = tbl_hasil.id_karyawan
              INNER JOIN tbl_divisi ON tbl_divisi.id_divisi = tbl_karyawan.id_divisi
             
                ".$sWhere." GROUP BY tbl_hasil.id_hasil ".$sOrder.$sLimit;
 
$rResultTotal = $mysqli->query($sQuery) or die($mysqli->error);
list($iTotal) = $rResultTotal->fetch_row();
 
/**
* Output
*/
$output = array(
    "sEcho"                => intval($input['sEcho']),
    "iTotalRecords"        => $iTotal,
    "iTotalDisplayRecords" => $iFilteredTotal,
    "aaData"               => array(),
);
 
// Looping Data
while($aRow = $rResult->fetch_assoc()){
    $row = array();
 
    $row = array(
            $aRow['id_karyawan'], 
            $aRow['nm_karyawan'], 
            $aRow['nm_divisi'], 
            $aRow['nilai'],
            );
    $output['aaData'][] = $row;
}
 
 
// TUTUP KONEKSI DATABASE
$db->tutup_db($mysqli);
 
 
echo json_encode($output);
?>