<?php
include 'config/config.php';

// INISIALISASI KONEKSI
$db = new database();

// BUKA KONEKSI DATABASE
$mysqli = $db->buka_db();

// AMBIL DATA
$sql = "SELECT * FROM tbl_masa_kerja ORDER BY id_masa_kerja ASC";
$result = $mysqli->query($sql);
$total 	= $result->num_rows;
$data 	= array();

if($total > 0){
	while($row = $result->fetch_assoc()){
		$data[] = $row;
	}
}

// TUTUP KONEKSI DATABASE
$db->tutup_db($mysqli);

?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>Cetak Data Kriteria Masa Kerja</title>
	<style type="text/css">
		body {
		  background: #FFFFFF;
		  font-size: 12pt;
		  margin:0 auto;
		    -webkit-print-color-adjust: exact !important;
		}
		table{
			width: 100%;
			border-collapse:collapse;
			font-size: 12pt;
		}
		table tr td{
			border-collapse:collapse;
			font-size: 12pt;
		}
		table thead th{
			background: lightgray;
		}
		@media print{
			body {
			  font-size: 6pt;
			  margin:0 auto;
			-webkit-print-color-adjust: exact !important;
			}
			table{
				width: 100%;
				border-collapse:collapse;
				font-size: 8pt;
			}
			table tr td{
				border-collapse:collapse;
				font-size: 8pt;
			}
			table thead th{
				background: lightgray;
			}
				
		}
	</style>
	<script type="text/javascript">
		window.print();
	</script>
</head>
<body>
	<page size="A4">
		<p><strong>DATA KRITERIA MASA KERJA</strong></p>
		<table border="1">
			<thead>
				<tr>
					<th style="width:80px;">ID Masa Kerja</th>
					<th>Nama Masa Kerja</th>
					<th style="width:80px;">Bobot</th>
				</tr>
			</thead>
			<tbody>
				<?php
				if($data){
					foreach($data as $row)
					{
						echo '<tr>
								<td align="center">'.$row['id_masa_kerja'].'</td>
								<td>'.$row['masa_kerja'].'</td>
								<td align="center">'.$row['bbt_masa_kerja'].'</td>
							</tr>';
					}
				} else {
					echo '<tr><td colspan="10" align="center"><small>DATA TIDAK TERSEDIA</small></td></tr>';
				}
				?>
			</tbody>
		</table>
	</page>
</body>
</html>